# BEGIN SourceDeps(oneline):
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
%define short_name	Algorithm-FastPermute

Name:		perl-%{short_name}           
Version:	0.999
Release:	alt2_13
Summary:	Rapid generation of permutations

Group:		Development/Perl
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/%{short_name}/
Source0:	http://www.cpan.org/authors/id/R/RO/ROBIN/%{short_name}-%{version}.tar.gz

BuildRequires:	perl(ExtUtils/MakeMaker.pm)
Source44: import.info

%description
Algorithm::FastPermute generates all the permutations of an array. You pass
a block of code, which will be executed for each permutation. The array
will be changed in place, and then changed back again before "permute"
returns. During the execution of the callback, the array is read-only and
you'll get an error if you try to change its length.


%prep
%setup -q -n %{short_name}-%{version}


%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%files
%doc Changes README perms.pl
%dir %{perl_vendorarch}/Algorithm
%{perl_vendorarch}/Algorithm/FastPermute.pm
%{perl_vendorarch}/auto/*
%exclude %{perl_vendorarch}/Algorithm/perms.pl

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.999-alt2_13
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 0.999-alt2_12
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.999-alt1_12
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.999-alt1_10
- fc import

